#!/bin/bash
################################################################################
# Intended use: Compile and extract software packages
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2025, VGISC Dev Team <dev@vgisc.com>
################################################################################

# Source path
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..
export APP_NAME=$(basename $(dirname $(dirname "${SCRIPT_PATH}")))

# Validate input
if [[ ! -f ${SCRIPT_PATH}/build.sh ]]; then
	echo -e "File ${SCRIPT_PATH}/build.sh does not exist, cannot continue."
	exit
fi

${SCRIPT_PATH}/build.sh linux-x86_64
${SCRIPT_PATH}/build.sh arm-linux-gnueabi
${SCRIPT_PATH}/build.sh arm-linux-gnueabihf
${SCRIPT_PATH}/build.sh aarch64-linux-gnu
${SCRIPT_PATH}/build.sh powerpc-linux-gnu
${SCRIPT_PATH}/build.sh powerpc64-linux-gnu
${SCRIPT_PATH}/build.sh powerpc64le-linux-gnu
${SCRIPT_PATH}/build.sh arm-linux-gnueabihf-xilinx
${SCRIPT_PATH}/build.sh aarch64-linux-gnu-xilinx
${SCRIPT_PATH}/build.sh powerpc64-fsl-linux
${SCRIPT_PATH}/build.sh i686-w64-mingw32
${SCRIPT_PATH}/build.sh x86_64-w64-mingw32
${SCRIPT_PATH}/build.sh arm-openwrt-linux

echo ""
echo "=> Done."
echo ""
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################