#!/bin/sh

export PKI_DIR="/vgisc/6t/workspace/PKI/test"
	
./openssl s_server -accept 8003 \
	-key ${PKI_DIR}/server1.vgisc.com.key \
	-cert ${PKI_DIR}/server1.vgisc.com.crt \
	-CAfile ${PKI_DIR}/root-ca.crt \
	-CApath /etc/ssl/certs/ \
	-debug -msg -state -tlsextdebug \
	--trace -security_debug -security_debug_verbose \
	-ciphersuites "TLS_AES_128_GCM_SHA256:TLS_AES_256_GCM_SHA384" \
	-groups "secp384p1:secv384:ffdhe4096:ffdhv4096"
	
./openssl s_server -accept 8003 \
	-key ${PKI_DIR}/server1.vgisc.com.key \
	-cert ${PKI_DIR}/server1.vgisc.com.crt \
	-CAfile ${PKI_DIR}/root-ca.crt \
	-CApath /etc/ssl/certs/ \
	-debug -msg -state -tlsextdebug \
	--trace -security_debug -security_debug_verbose \
	-ciphersuites "TLS_MKV128_128_GCM_SHA256:TLS_MKV128_256_GCM_SHA384" \
	-groups "secv384:ffdhv4096"
	
./openssl s_server -accept 8003 \
	-key ${PKI_DIR}/server1.vgisc.com.key \
	-cert ${PKI_DIR}/server1.vgisc.com.crt \
	-CAfile ${PKI_DIR}/root-ca.crt \
	-CApath /etc/ssl/certs/ \
	-debug -msg -state -tlsextdebug \
	--trace -security_debug -security_debug_verbose \
	-ciphersuites "TLS_MKC3_256_GCM_SHA256:TLS_MKC3_256_GCM_SHA384" \
	-groups "secv384:ffdhv4096"
	
./openssl s_server -accept 8003 \
	-key ${PKI_DIR}/server1.vgisc.com.key \
	-cert ${PKI_DIR}/server1.vgisc.com.crt \
	-CAfile ${PKI_DIR}/root-ca.crt \
	-CApath /etc/ssl/certs/ \
	-debug -msg -state -tlsextdebug \
	--trace -security_debug -security_debug_verbose \
	-ciphersuites "TLS_MKC4B_256_GCM_SHA256:TLS_MKC4B_256_GCM_SHA384" \
	-groups "secv384:ffdhv4096"

./openssl s_client -connect localhost:8003 \
	-key ${PKI_DIR}/vpn1.vgisc.com.key \
	-cert ${PKI_DIR}/vpn1.vgisc.com.crt \
	-CAfile ${PKI_DIR}/root-ca.crt \
	-CApath /etc/ssl/certs/ \
	-debug -keylogfile /var/tmp/tls_client1.txt -msg -state -tlsextdebug \
	--trace -security_debug -security_debug_verbose